%global debug_package   %{nil}
%global provider        github
%global provider_tld    com
%global project         coreos
%global repo            go-semver
%global import_path     %{provider}.%{provider_tld}/%{project}/%{repo}
%global commit          568e959cd89871e61434c1143528d9162da89ef2
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:       golang-%{provider}-%{project}-%{repo}
Version:    0
Release:    0.4.git%{shortcommit}%{?dist}
Summary:    Go semantic versioning library
License:    ASL 2.0
URL:        https://%{import_path}
Source0:    https://%{import_path}/archive/%{commit}/%{repo}-%{shortcommit}.tar.gz
%if 0%{?fedora} >= 19 || 0%{?rhel} >= 7
BuildArch:  noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm}
%endif

%description
%{summary}

%package devel
BuildRequires:  golang >= 1.2.1-3
Requires:   golang >= 1.2.1-3
Summary:    %{summary}
Provides:   golang(%{import_path}/semver) = %{version}-%{release}

%description devel
%{summary}

This package contains library source intended for 
building other packages which use %{project}/%{repo}.

%prep
%setup -qn %{repo}-%{commit}

%build

%install
install -d -p %{buildroot}/%{gopath}/src/%{import_path}/
for dir in */ ; do
    cp -pav $dir %{buildroot}/%{gopath}/src/%{import_path}/
done

%check
for dir in */ ; do
    GOPATH=%{buildroot}/%{gopath}:%{gopath} go test %{import_path}/$dir
done

%files devel
%doc README.md LICENSE
%dir %{gopath}/src/%{provider}.%{provider_tld}/%{project}
%{gopath}/src/%{import_path}

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.4.git568e959
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Apr 02 2015 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0-0.3.git568e959
- update to latest master

* Wed Feb 04 2015 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0-0.2.git6fe83cc
- Own import_path dir and not just import_path/semver

* Tue Dec 09 2014 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0-0.1.git6fe83cc
- Resolves: rhbz#1174021 - Initial package
